Skip to content

Get List Of Addresses Information (v1)

For segregated warm wallet, cold wallet and DeFi account wallet. For consolidation wallet, use coin_name to filter address of the particular token.

A V2 version of this endpoint is available with improved performance. We recommend V2 for all new integrations. Refer to Get List Of Addresses Information (v2).

Endpoint

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/addresses
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/addresses

Parameters

Path Parameters

Field Type Description

b_id
Required

String Business line ID

wallet_code
Required

String Wallet ID

Query Parameters

FieldTypeDescription
coin_name
Optional
StringCoin name
Allowed Value: Refer to Coin Name (API) column in Supported Token
hide_no_coin_address
Optional
StringIf the response needs to hide address with zero balance
Allowed values: true, false
key_word
Optional
StringDescription of the address
offset
Optional
StringQuery all results by default if left empty
limit
Optional
StringNumber of results per page. Maximum: 1000. Default: 1000
sort_by_balance
Optional
StringAllowed Value: DESC, ASC
min_balance
Optional
IntegerReturn addresses with balances equal or greater than it
max_balance
Optional
IntegerReturn addresses with balances equal or smaller than it
manage_wallet_address
Optional
Boolean

Default is false

  • True - query cold wallet management address;
  • False - query normal address;

Response

Response Body

Field Type Description
code Integer Response code (0 = success)
message String Response message
successful Boolean Whether the request was successful
data Object Data object (see data object for details below)

data (object)

Field Type Description
offset Integer Offset
limit Integer Limit
total Integer Total number of addresses
list Object[] List of all address details (see list object for details below)

list (object)

FieldTypeDescription
domain_idStringEnterprise ID
bidStringBusiness line ID
wallet_codeStringWallet ID
main_wallet_codeStringMain wallet ID
wallet_nameStringWallet name
wallet_typeStringWallet type
Values : MIXED_ADDRESS or SEGREGATED_ADDRESS
wallet_address_typeStringWallet address type
addressStringAddress
chainStringChain name (e.g. ETH, BTC, SOLANA)
address_typeStringAddress Type
Values : NORMAL_ADDRESS or CONSOLIDATED_ADDRESS
address_storageStringAddress storage type
Values : COLD or HOT
bch_address_formatString

BCH address format

Values : CashAdd or Legacy

btc_address_typeStringBTC address type
Values : Legacy or SegWit
coin_nameStringAsset name
descriptionStringAddress description
available_amountDecimalAvailable asset amount (the smallest unit)
available_amount_strStringAvailable asset amount in string format (the smallest unit)
freeze_amountDecimalFrozen asset amount (the smallest unit)
freeze_amount_strStringFrozen asset amount in string format (the smallest unit)
total_amountDecimalTotal asset amount (the smallest unit)
total_amount_strStringTotal asset amount in string format (the smallest unit)
confirm_ratioStringConfirmation ratio
total_market_amountDecimalTotal market value (in USD)
total_market_amount_strStringTotal market value in string format (in USD)
cny_total_market_amountDecimalTotal market value (in CNY)
cny_total_market_amount_strStringTotal market value in string format (in CNY)
address_statusStringAddress status
is_third_party_black_addressBooleanWhether the address is flagged as a third-party blacklisted address

Response Example

{
  "code": 0,
  "message": "",
  "successful": true,
  "data": {
    "limit": 0,
    "offset": 1,
    "total": 1,
    "list": [
      {
        "domain_id": "1e2fa188f5d44faca64c45485062e829",
        "bid": "3116db4deffe47b1bddae27d94a06ac0",
        "wallet_code": "CHSOL8133416732",
        "main_wallet_code": "CHSOL8133416732",
        "wallet_name": "",
        "wallet_type": "MIXED_ADDRESS",
        "wallet_address_type": null,
        "address": "7kL2swVUyLVAFGR5qm4oWkSfXtnR43bnwVf5xsLHEBg6",
        "chain": "SOLANA",
        "address_type": "NORMAL_ADDRESS",
        "address_storage": "HOT",
        "bch_address_format": null,
        "btc_address_type": null,
        "coin_name": "SOL",
        "description": "",
        "available_amount": 0,
        "available_amount_str": "0",
        "freeze_amount": 0,
        "freeze_amount_str": "0",
        "total_amount": 0,
        "total_amount_str": "0",
        "confirm_ratio": null,
        "total_market_amount": null,
        "total_market_amount_str": null,
        "cny_total_market_amount": null,
        "cny_total_market_amount_str": null,
        "address_status": null,
        "is_third_party_black_address": false
      }
    ]
  }
}